svn commit: samba r18577 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Sat Sep 16 05:06:58 GMT 2006


Author: tridge
Date: 2006-09-16 05:06:57 +0000 (Sat, 16 Sep 2006)
New Revision: 18577

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=18577

Log:

reduce the number of tests run in 'make quicktest' again, so it
completes in a minute on my laptop (the benchmark I usually use).

Simo, I removed th ldb tests, as ldb is pretty well tested by lots of
the other tests, and its a pretty slow test. We could instead add a
"ldb-testquick.sh" which does only minimal testing. The full tests
will of course be run with 'make test' and in the build farm.

Modified:
   branches/SAMBA_4_0/source/script/tests/test_ldap.sh
   branches/SAMBA_4_0/source/script/tests/test_quick.sh
   branches/SAMBA_4_0/source/script/tests/test_rpc_quick.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_ldap.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_ldap.sh	2006-09-16 04:54:15 UTC (rev 18576)
+++ branches/SAMBA_4_0/source/script/tests/test_ldap.sh	2006-09-16 05:06:57 UTC (rev 18577)
@@ -84,9 +84,13 @@
 
 testit "CLDAP" bin/smbtorture $TORTURE_OPTIONS //$SERVER/_none_ LDAP-CLDAP || failed=`expr $failed + 1`
 
-LDBDIR=lib/ldb
-export LDBDIR
-testit "ldb tests" $LDBDIR/tests/test-tdb.sh || failed=`expr $failed + 1`
+# only do the ldb tests when not in quick mode - they are quite slow, and ldb
+# is now pretty well tested by the rest of the quick tests anyway
+test "$TORTURE_QUICK" = "yes" || {
+   LDBDIR=lib/ldb
+   export LDBDIR
+   testit "ldb tests" $LDBDIR/tests/test-tdb.sh || failed=`expr $failed + 1`
+}
 
 SCRIPTDIR=../testprogs/ejs
 

Modified: branches/SAMBA_4_0/source/script/tests/test_quick.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_quick.sh	2006-09-16 04:54:15 UTC (rev 18576)
+++ branches/SAMBA_4_0/source/script/tests/test_quick.sh	2006-09-16 05:06:57 UTC (rev 18577)
@@ -19,9 +19,9 @@
 . $incdir/test_functions.sh
 
 tests="BASE-UNLINK BASE-ATTR BASE-DELETE"
-tests="$tests BASE-DIR2 BASE-TCON BASE-OPEN"
+tests="$tests BASE-TCON BASE-OPEN"
 tests="$tests BASE-CHKPATH RAW-QFSINFO RAW-QFILEINFO RAW-SFILEINFO"
-tests="$tests RAW-LOCK RAW-MKDIR RAW-SEEK RAW-OPEN RAW-WRITE"
+tests="$tests RAW-MKDIR RAW-SEEK RAW-OPEN RAW-WRITE"
 tests="$tests RAW-UNLINK RAW-READ RAW-CLOSE RAW-IOCTL RAW-RENAME"
 tests="$tests RAW-EAS RAW-STREAMS"
 

Modified: branches/SAMBA_4_0/source/script/tests/test_rpc_quick.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_rpc_quick.sh	2006-09-16 04:54:15 UTC (rev 18576)
+++ branches/SAMBA_4_0/source/script/tests/test_rpc_quick.sh	2006-09-16 05:06:57 UTC (rev 18577)
@@ -3,8 +3,8 @@
 # add tests to this list as they start passing, so we test
 # that they stay passing
 ncacn_np_tests="RPC-ALTERCONTEXT RPC-JOIN RPC-ECHO RPC-SCHANNEL RPC-NETLOGON RPC-UNIXINFO"
-ncalrpc_tests="RPC-ALTERCONTEXT RPC-JOIN RPC-ECHO RPC-SCHANNEL RPC-NETLOGON RPC-UNIXINFO"
-ncacn_ip_tcp_tests="RPC-ALTERCONTEXT RPC-JOIN RPC-ECHO RPC-SCHANNEL RPC-NETLOGON RPC-UNIXINFO"
+ncacn_ip_tcp_tests="RPC-ALTERCONTEXT RPC-JOIN RPC-ECHO"
+ncalrpc_tests="RPC-ECHO"
 
 if [ $# -lt 4 ]; then
 cat <<EOF



More information about the samba-cvs mailing list